Gecode::Support::IntTypeTraits< unsigned char > Class Reference

Traits for unsigned char. More...

`#include <int-type.hpp>`

## Public Types

typedef unsigned char | utype
| Corresponding unsigned type.
typedef signed char | stype
| Corresponding signed type.

## Static Public Attributes

static const unsigned char | min = 0
| Minimal value.
static const unsigned char | max = UCHAR_MAX
| Maximal value.
static const IntType | description = IT_CHAR
| Description of type.

## Detailed Description

Traits for unsigned char.

Definition at line 71 of file int-type.hpp.

## Member Typedef Documentation

## utype

typedef unsigned char Gecode::Support::IntTypeTraits< unsigned char >::utype

Corresponding unsigned type.

Definition at line 74 of file int-type.hpp.

## stype

typedef signed char Gecode::Support::IntTypeTraits< unsigned char >::stype

Corresponding signed type.

Definition at line 76 of file int-type.hpp.

## Member Data Documentation

## min

const unsigned char Gecode::Support::IntTypeTraits< unsigned char >::min = 0

static

Minimal value.

Definition at line 78 of file int-type.hpp.

## max

const unsigned char Gecode::Support::IntTypeTraits< unsigned char >::max = UCHAR_MAX

static

Maximal value.

Definition at line 80 of file int-type.hpp.

## description

const IntType Gecode::Support::IntTypeTraits< unsigned char >::description = IT_CHAR

static

Description of type.

Definition at line 82 of file int-type.hpp.

The documentation for this class was generated from the following file:

- gecode/support/int-type.hpp